Skip to main content
POST
/
vendors
/
{vendorId}
/
locations
Add business location
curl --request POST \
  --url https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/locations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "locationName": "<string>",
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "province": "<string>",
  "postalCode": "<string>",
  "country": "<string>",
  "phoneNumber": "<string>",
  "lat": 123,
  "lon": 123,
  "mondayHours": "<string>",
  "tuesdayHours": "<string>",
  "wednesdayHours": "<string>",
  "thursdayHours": "<string>",
  "fridayHours": "<string>",
  "saturdayHours": "<string>",
  "sundayHours": "<string>",
  "holidayHours": "<string>",
  "customHours": "<string>"
}
'
import requests

url = "https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/locations"

payload = {
"locationName": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phoneNumber": "<string>",
"lat": 123,
"lon": 123,
"mondayHours": "<string>",
"tuesdayHours": "<string>",
"wednesdayHours": "<string>",
"thursdayHours": "<string>",
"fridayHours": "<string>",
"saturdayHours": "<string>",
"sundayHours": "<string>",
"holidayHours": "<string>",
"customHours": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationName: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
province: '<string>',
postalCode: '<string>',
country: '<string>',
phoneNumber: '<string>',
lat: 123,
lon: 123,
mondayHours: '<string>',
tuesdayHours: '<string>',
wednesdayHours: '<string>',
thursdayHours: '<string>',
fridayHours: '<string>',
saturdayHours: '<string>',
sundayHours: '<string>',
holidayHours: '<string>',
customHours: '<string>'
})
};

fetch('https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Path Parameters

vendorId
integer<int64>
required

Body

application/json
locationName
string
address1
string
address2
string
city
string
province
string
postalCode
string
country
string
phoneNumber
string
lat
number
lon
number
mondayHours
string
tuesdayHours
string
wednesdayHours
string
thursdayHours
string
fridayHours
string
saturdayHours
string
sundayHours
string
holidayHours
string
customHours
string

Response

200

Location added